(defvar *menu-splash* "
 ▄████████  ▄█        ▄█     █▄     ▄████████    ▄████████    ▄████████ 
███    ███ ███       ███     ███   ███    ███   ███    ███   ███    ███ 
███    █▀  ███       ███     ███   ███    ███   ███    ███   ███    █▀  
███        ███       ███     ███   ███    ███  ▄███▄▄▄▄██▀   ███        
███        ███       ███     ███ ▀███████████ ▀▀███▀▀▀▀▀   ▀███████████ 
███    █▄  ███       ███     ███   ███    ███ ▀███████████          ███ 
███    ███ ███▌    ▄ ███ ▄█▄ ███   ███    ███   ███    ███    ▄█    ███ 
████████▀  █████▄▄██  ▀███▀███▀    ███    █▀    ███    ███  ▄████████▀  
           ▀                                    ███    ███              
")

#||
# Description
  CL-Wars is a text based game made for fun, highly inspired by
  Space Trader and Drug Wars.
  In CL-Wars you are a rogue trader on the run from galatic
  security forces, and you must use the tools available to
  you to reach a safe haven on the edge of the galaxy.

# Systems
  Stats
    - Health
    - Weapons Systems
  Money
    - Used to upgrade
||#

;; Actor in the game,
;; eg the player, an npc, etc
(defstruct *actor*
  inventory ; Something representing goods held
  health
  mana)

;; This represents the goods market
;; as a whole
(defstruct *market*)

;; https://stackoverflow.com/questions/4882361/which-command-could-be-used-to-clear-screen-in-clisp
(defun cls()
  (format t "~A[H~@*~A[J" #\escape))

(defun prompt-read (prompt)
  (format *query-io* "~a" prompt)
  (force-output *query-io*)
  (read-line *query-io*))

(defun main ()
  (format t *menu-splash*)
  (format t "Press any key to start")
  (prompt-read "")
  (cls))
